<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Sociable Weaver</title>

<!--    &lt;!&ndash; Compiled and minified CSS &ndash;&gt;-->
<!--    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">-->

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

    <style>
        body {

            /*background-image: url("static/images/34726114_10216057859976556_8869133270403514368_n.jpg");*/
            background-color: #eeeeee;
        }
    </style>
</head>

<body>
<nav class="navbar navbar-light bg-white">
    <a th:href="@{/homepage}" class="navbar-brand">Return to Home page</a>
</nav>

<form action="/usersearch" class="form-inline">
    <div class="form-group mb-2">
        <input type="text" class="form-control" name="searchUsers" id="searchUsers" placeholder="Search User" />
        <input type="submit" value="Search"  class="btn btn-primary"/>
    </div>
</form>

<!--<label>Quick Search: <input id="search1" type="text"></label>-->

<div class="card">
    <div class="card card-body">
        <table class="table table-hover" id="tableUsers" name="table">
            <thead>
            <tr>
                <th>First Name</th>
                <th>Last Name</th>
                <th>Email</th>
                <th>View Profile</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="user:${users}" id="box">
                <td th:text="${user.firstName}"></td>
                <td th:text="${user.lastName}"></td>
                <td th:text="${user.email}"></td>
                <td><a  th:href="'/users/'+${user.id}" class="btn btn-light">View Profile</a></td>
            </tr>
            </tbody>

        </table>

        <ul class="nav nav-pills">
            <li class="nav-item "
                th:each="i : ${#numbers.sequence(0,users.totalPages-1)}">
                <a class="nav-link" th:classappend="${currentPage}==${i}?'active':''" th:href="@{/usersearch(page=${i})}"
                   th:text="${i}"> </a></li>
        </ul>
    </div>
</div>
<!--<div class="list-group" id="userList" role="tablist">-->
<!--    <ul class="collection">-->
<!--        <li class="collection-item avatar" th:each="user:${users}">-->
<!--            <img th:src="@{'data:postPhoto/png;base64,'+${user.getPhoto()}}" alt="" class="circle">-->
<!--            <span class="title" th:text="${user.getFirstName()} + ' ' + ${user.getLastName()}">Title</span>-->
<!--        </li>-->
<!--    </ul>-->
<!--</div>-->

<!-- Compiled and minified JavaScript -->
<!--<script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>-->

<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
<script src="paginator.js"></script>


<!--<script>-->
<!--    var $cells = $("td");-->

<!--    $("#search1").keyup(function() {-->
<!--        var val = $.trim(this.value).toUpperCase();-->
<!--        if (val === "")-->
<!--            $cells.parent().show();-->
<!--        else {-->
<!--            $cells.parent().hide();-->
<!--            $cells.filter(function() {-->
<!--                return -1 != $(this).text().toUpperCase().indexOf(val); }).parent().show();-->
<!--        }-->
<!--    });-->
<!--</script>-->
</body>

<script>
    paginator({
        table: document.getElementById("table").getElementsByTagName("table")[0],
        box: document.getElementById("box")
    });
</script>
</html>